dvb_table_sdt Struct Reference
Digital TV table parsing

MPEG-TS SDT table. More...

`#include <sdt.h>`

## Data Fields

struct dvb_table_header | header
uint16_t | network_id
uint8_t | reserved
struct dvb_table_sdt_service * | service

## Detailed Description

MPEG-TS SDT table.

Parameters

  header | struct dvb_table_header content
  network_id | network id
  service | pointer to struct dvb_table_sdt_service

This structure is used to store the original SDT table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after dvb_table_sdt::service (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 123 of file sdt.h.

## Field Documentation

## header

struct dvb_table_header dvb_table_sdt::header

Definition at line 124 of file sdt.h.

## network_id

uint16_t dvb_table_sdt::network_id

Definition at line 125 of file sdt.h.

## reserved

uint8_t dvb_table_sdt::reserved

Definition at line 126 of file sdt.h.

## service

struct dvb_table_sdt_service* dvb_table_sdt::service

Definition at line 127 of file sdt.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/sdt.h